%define anolis_release 2
%define configure_client --disable-client


Name:           spice
Version:        0.15.1
Release:        %{anolis_release}%{?dist}
Summary:        Implements the SPICE protocol
License:        LGPLv2+
URL:            http://www.spice-space.org/
Source0:        ${url}/download/releases/%{name}-%{version}.tar.bz2
Source1:        ${url}/download/releases/%{name}-%{version}.tar.bz2.sig
Source2:        victortoso-E37A484F.keyring

BuildRequires:  make gcc > 12.0 gcc-c++ pkgconfig git-core gnupg2
BuildRequires:  glib2-devel >= 2.22
BuildRequires:  spice-protocol >= 0.14.0
BuildRequires:  opus-devel pixman-devel openssl-devel libjpeg-devel
BuildRequires:  libcacard-devel cyrus-sasl-devel
BuildRequires:  gstreamer1-devel gstreamer1-plugins-base-devel
BuildRequires:  orc-devel lz4-devel

%description
The SPICE project aims to provide a complete open source solution for
remote access to virtual machines in a seamless way so you can play
videos, record audio, share usb devices and share folders without
complications.


%package server
Summary:        Implements the server side of the SPICE protocol
Obsoletes:      spice-client < %{version}-%{release}

%description server
This package contains the run-time libraries for any application that wishes
to be a SPICE server.

%package server-devel
Summary:        Header files, libraries and development documentation for spice-server
Requires:       %{name}-server = %{version}-%{release}
Requires:       pkgconfig

%description server-devel
The %{name}-devel package provides headers and development libraries
needed to develop programs that use %{name}.


%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -S git_am

%build
%configure \
        --enable-smartcard \
        --disable-client \
        --enable-lz4 \
        --enable-gstreamer=1.0 \
        --disable-celt051 \
        --disable-werror
%make_build

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/libspice-server.a
rm -f %{buildroot}%{_libdir}/libspice-server.la
mkdir -p %{buildroot}%{_libexecdir}

%ldconfig_scriptlets server

%generate_compatibility_deps

%files server
%license COPYING
%dir %{abidir}
%{_libdir}/libspice-server.so.1*
%{abidir}/libspice-server.dump

%files server-devel
%{_includedir}/spice-server
%{_libdir}/libspice-server.so
%{_libdir}/pkgconfig/spice-server.pc

%changelog
* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -0.15.1-2
- Optimize spec file

* Wed Mar 1 2023 Heng Qi <hengqi@linux.alibaba.com> - 0.15.1-1
- Update to 0.15.1

* Fri Jul 15 2022 happy_orange <songnannan@linux.alibaba.com> - 0.15.0-1
- Init pacakge from upstream
